package ru.fincode.tsudesk.core.network.model

sealed class NetworkResult<out T> {
    data class Success<T>(val data: T, val meta: NetworkMeta) : NetworkResult<T>()
    data class Error(val error: NetworkError) : NetworkResult<Nothing>()
}
